<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_17</title>
</head>
<body>
    <h1>Capitulo 17</h1>
    <a>Ejercicio 2</a>

    <script>

        let imprimirBaraja = (arr, n)=> {
            ans = '';
            for (let i = 0; i < n; i++) {
                ans += arr[i] + " ";
            }
            console.log(ans);
        }
 
        let barajaAleat = (arr, n) => {

            for (let i = n - 1; i > 0; i--) {

                let j = Math.floor(Math.random() * (i + 1));
                [arr[i], arr[j]] = [arr[j], arr[i]];
            }
        }
 
        let arr = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20,
                   21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40,
                   41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52];
        let n = arr.length;
        barajaAleat (arr, n);
        imprimirBaraja(arr, n);

    </script>
    
</body>
</html>